function assSets = generateSparseAssignmentSets(sourcecount, Degrees, ratio)
% Sourcecount: Number of sources (clusters)
% Degrees: possible number of clusters a datapoint might belong to
% ratio: ratio of sources that can be used in combinations

lo_degrees = Degrees(Degrees<2);
hi_degrees = Degrees(Degrees>1);

Nmultis = floor(sourcecount*ratio); %number of sources that can be used in combinations
Nsinglets = sourcecount-Nmultis; %number of sources that are only exclusively assigned
hi_degrees(hi_degrees > Nmultis) = []; %prevent combining t1 out of t2 objects, where t1>t2

% create multipletts
multiAssSets = generateAssignmentSets(Nmultis, hi_degrees);

% combine with singletts
assSets = [ 
    generateAssignmentSets(sourcecount, lo_degrees);...
    zeros(size(multiAssSets,1), Nsinglets)  multiAssSets...
    ];

